<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
JLoader::import('easyshop.controller.form');

use ES\Controller\ControllerForm;
use ES\Controller\ControllerLegacy;

class EasyshopControllerCustomfield extends ControllerForm
{
	protected $reflector;

	public function __construct(array $config)
	{
		parent::__construct($config);

		if (empty($this->reflector))
		{
			$this->reflector = $this->input->getCmd('reflector', 'com_easyshop');
		}
	}

	protected function getRedirectToItemAppend($recordId = null, $urlVar = 'id')
	{
		$append = parent::getRedirectToItemAppend($recordId);
		$append .= '&reflector=' . $this->reflector;

		return $append;
	}

	protected function getRedirectToListAppend()
	{
		$append = parent::getRedirectToListAppend();
		$append .= '&reflector=' . $this->reflector;

		return $append;
	}

	public function checkoutField()
	{
		JSession::checkToken('get') or jexit(JText::_('JINVALID_TOKEN'));

		if (!easyshop('class.user')->can('edit'))
		{
			throw new \Exception(\JText::_('JERROR_ALERTNOAUTHOR'), 404);
		}

		$pk = $this->input->getInt('id');

		JTable::addIncludePath(ES_COMPONENT_ADMINISTRATOR . '/tables');
		$table = JTable::getInstance('Customfield', 'EasyshopTable');
		$app   = JFactory::getApplication();

		if ($table->load($pk))
		{
			$table->set('checkout_field', $table->get('checkout_field') ? 0 : 1);

			if ($table->store())
			{
				$app->enqueueMessage(JText::_('COM_EASYSHOP_FIELD_CHECKOUT_TOGGLE_SUCCESS'));
			}
			else
			{
				$app->enqueueMessage($table->getError(), 'error');
			}
		}
		else
		{
			$app->enqueueMessage(JText::_('COM_EASYSHOP_ERROR_FIELD_NOT_FOUND'), 'error');
		}

		$this->setRedirect(JRoute::_('index.php?option=com_easyshop&view=customfields&reflector=' . $this->input->get('reflector'), false))
			->redirect();
	}

	public function loadAssignByGroup()
	{
		JSession::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		$dataName = 'com_easyshop.edit.customfield.data';
		$oldData  = (array) easyshop('app')->getUserState($dataName, []);
		$data     = array_merge($oldData, (array) $this->input->get('jform', [], 'array'));
		easyshop('app')->setUserState($dataName, $data);
		$this->setRedirect(base64_decode($this->input->getBase64('returnPage')))
			->redirect();
	}

}
