<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace ES\Helper;
defined('_JEXEC') or die;

class Navbar
{
	public static function render()
	{
		$navbar = easyshop('state')->get('system.navbar', null);

		if ($navbar === null)
		{
			$items = [
				'system'  => [
					'url'      => '#',
					'icon'     => 'settings',
					'title'    => 'COM_EASYSHOP_SYSTEM',
					'children' =>
						[
							[
								'icon'  => 'pie-chart.svg',
								'url'   => 'index.php?option=com_easyshop&view=dashboard',
								'title' => 'COM_EASYSHOP_DASHBOARD'
							],
							[
								'icon'  => 'map-marker.svg',
								'url'   => 'index.php?option=com_easyshop&view=zones',
								'title' => 'COM_EASYSHOP_ZONES'
							],
							[
								'icon'  => 'tax.svg',
								'url'   => 'index.php?option=com_easyshop&view=taxes',
								'title' => 'COM_EASYSHOP_TAXES'
							],
							[
								'icon'  => 'paypal.svg',
								'url'   => 'index.php?option=com_easyshop&view=methods&filter_type=payment',
								'title' => 'COM_EASYSHOP_PAYMENT_METHODS'
							],
							[
								'icon'  => 'truck.svg',
								'url'   => 'index.php?option=com_easyshop&view=methods&filter_type=shipping',
								'title' => 'COM_EASYSHOP_SHIPPING_METHODS'
							],
							[
								'url'   => 'index.php?option=com_easyshop&view=emails',
								'title' => 'COM_EASYSHOP_SYSTEM_EMAILS',
								'icon'  => 'mail',
							],
							[
								'icon'  => 'currency.svg',
								'url'   => 'index.php?option=com_easyshop&view=currencies',
								'title' => 'COM_EASYSHOP_CURRENCIES'
							],
							[
								'url'   => 'index.php?option=com_easyshop&view=discounts',
								'title' => 'COM_EASYSHOP_DISCOUNTS',
								'icon'  => 'gift.svg',
							],
							[
								'url'   => 'index.php?option=com_easyshop&view=customfields&reflector=com_easyshop.checkout',
								'title' => 'COM_EASYSHOP_CHECKOUT_FIELDS',
								'icon'  => 'field.svg'
							],
							[
								'url'   => 'index.php?option=com_easyshop&view=languages',
								'title' => 'COM_EASYSHOP_LANGUAGES',
								'icon'  => 'language.svg',
							],
							[
								'url'   => 'index.php?option=com_easyshop&view=logs',
								'title' => 'COM_EASYSHOP_SYSTEM_LOGS',
								'icon'  => 'history',
							],
							[
								'url'   => 'index.php?option=com_easyshop&view=system',
								'title' => 'COM_EASYSHOP_SYSTEM_INFO',
								'icon'  => 'info',
							],
						],
				],
				'order'   => [
					'url'   => 'index.php?option=com_easyshop&view=orders',
					'title' => 'COM_EASYSHOP_ORDERS',
					'icon'  => 'chart-bars.svg',
				],
				'product' => [
					'url'      => '#',
					'title'    => 'COM_EASYSHOP_PRODUCTS',
					'icon'     => 'cart.svg',
					'children' => [
						[
							'url'   => 'index.php?option=com_easyshop&view=product&layout=edit&id=0',
							'title' => 'COM_EASYSHOP_PRODUCT_ADDNEW',
							'icon'  => 'plus'
						],
						[
							'url'   => 'index.php?option=com_easyshop&view=products',
							'title' => 'COM_EASYSHOP_PRODUCTS',
							'icon'  => 'portfolio.svg'
						],
						[
							'url'   => 'index.php?option=com_categories&extension=com_easyshop.product',
							'title' => 'COM_EASYSHOP_CATEGORIES',
							'icon'  => 'pack.svg'
						],
						[
							'url'   => 'index.php?option=com_categories&extension=com_easyshop.brand',
							'title' => 'COM_EASYSHOP_PRODUCT_BRANDS',
							'icon'  => 'pack.svg'
						],
						[
							'url'   => 'index.php?option=com_categories&extension=com_easyshop.product.customfield',
							'title' => 'COM_EASYSHOP_CUSTOMFIELD_GROUPS',
							'icon'  => 'pack.svg'
						],
						[
							'url'   => 'index.php?option=com_easyshop&view=customfields&reflector=com_easyshop.product.customfield',
							'title' => 'COM_EASYSHOP_CUSTOMFIELDS',
							'icon'  => 'field.svg'
						],
						[
							'url'   => 'index.php?option=com_categories&extension=com_easyshop.product.option',
							'title' => 'COM_EASYSHOP_OPTION_GROUPS',
							'icon'  => 'pack.svg'
						],
						[
							'url'   => 'index.php?option=com_easyshop&view=customfields&reflector=com_easyshop.product.option',
							'title' => 'COM_EASYSHOP_OPTIONS',
							'icon'  => 'field.svg'
						],
						[
							'url'   => 'index.php?option=com_easyshop&view=tags&context=com_easyshop.product',
							'title' => 'COM_EASYSHOP_TAGS',
							'icon'  => 'tag'
						],
					]
				],
				'user'    => [
					'url'      => '#',
					'title'    => 'COM_EASYSHOP_USERS',
					'icon'     => 'users',
					'children' => [
						[
							'url'   => 'index.php?option=com_easyshop&view=users',
							'title' => 'COM_EASYSHOP_CUSTOMERS',
							'icon'  => 'user'
						],
						[
							'url'   => 'index.php?option=com_easyshop&view=customfields&reflector=com_easyshop.user',
							'title' => 'COM_EASYSHOP_PROFILE',
							'icon'  => 'profile.svg'
						],
					]
				],
				'media'   => [
					'url'      => '#',
					'title'    => 'COM_EASYSHOP_MEDIA',
					'icon'     => 'image',
					'children' => [
						[
							'url'   => 'index.php?option=com_easyshop&view=media',
							'title' => 'COM_EASYSHOP_IMAGES',
							'icon'  => 'picture.svg'
						],
					],
				],
			];

			easyshop('app')->triggerEvent('onEasyshopNavbarPrepare', [&$items]);

			if (empty($items))
			{
				return null;
			}

			/** @var $layoutHelper \ES\LayoutHelper */
			$navbar = easyshop('renderer')->render('system.navbar', ['items' => $items]);
		}

		return $navbar;
	}
}
