<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JFormHelper::loadFieldClass('list');

class JFormFieldContextLog extends JFormFieldList
{
	protected $type = 'ContextLog';

	protected function getOptions()
	{
		$options = parent::getOptions();
		$db      = easyshop('db');
		$query   = $db->getQuery(true)
			->select('DISTINCT a.context')
			->from($db->qn('#__easyshop_logs', 'a'));
		$db->setQuery($query);

		if ($columns = $db->loadColumn())
		{
			foreach ($columns as $column)
			{
				$option        = new stdClass;
				$option->value = $column;
				$option->text  = JText::_(strtoupper(str_replace('.', '_', $column)) . '_LOG_TITLE');
				$options[]     = $option;
			}
		}

		return $options;
	}
}
