<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JLoader::import('joomla.filesystem.folder');
JLoader::import('joomla.filesystem.path');
JFormHelper::loadFieldClass('text');

class JFormFieldModal_SVGIcon extends JFormFieldText
{
	protected $type = 'Modal_SVGIcon';

	protected function getInput()
	{
		\JHtml::addIncludePath(ES_COMPONENT_ADMINISTRATOR . '/helpers/html');
		$icons = JFolder::files(ES_MEDIA . '/icons', '\.svg$', false, false);

		/** @var \ES\LayoutHelper $renderer */
		$renderer  = easyshop('renderer');
		$themePath = JPATH_SITE . '/templates/' . $renderer->getSiteTemplate() . '/html/com_easyshop/icons';

		if (JFolder::exists($themePath))
		{
			$icons = array_merge($icons, JFolder::files($themePath, '\.svg$', false, false));
		}

		easyshop('doc')->addScriptDeclaration('_es.$(document).ready(function($){
			$("#' . $this->id . '-modal").on("click", "a[data-svg], a.es-icon-remove", function (e){
				e.preventDefault();
				var el = $(this);
				if (el.hasClass("es-icon-remove")) {
					$("#' . $this->id . '").val("");
					_es.uikit.modal("#' . $this->id . '-modal").hide();
				} else {
					el.addClass("active").siblings("a").removeClass("active");
					$("#' . $this->id . '").val(el.data("svg"));
				}
			});
			
			$("#' . $this->id . '-modal").on("dblclick", "a[data-svg]", function(e){
				e.preventDefault();				
				_es.uikit.modal("#' . $this->id . '-modal").hide();
			});
		});');

		return $renderer->render('modal.svgicon', [
			'field' => $this,
			'icons' => array_unique($icons),
			'input' => parent::getInput(),
		]);
	}
}
