<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
JLoader::import('easyshop.model.admin');
use ES\Model\ModelAdmin;

class EasyshopModelTag extends ModelAdmin
{
	protected function populateState()
	{
		parent::populateState();
		$this->setState('filter.context', easyshop('app')->input->getCmd('context', 'com_easyshop.product'));
	}

	public function getItem($pk = null)
	{
		$item    = parent::getItem($pk);
		$context = $this->getState('filter.context');

		if (empty($item->context))
		{
			$item->context = $context;
		}

		if (empty($item->id) && $context !== $item->context)
		{
			throw new RuntimeException(JText::_('COM_EASYSHOP_ERROR_INVALID_CONTEXT'));
		}

		return $item;
	}
}
