<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
use ES\Helper\Navbar;

JHtml::_('formbehavior.chosen');
easyshop('class.html')
	->addJS('chart.min.js')
	->addJS('progressbar.min.js');
$navbar        = Navbar::render();
$currencyClass = $this->currencyClass;
$cDefaultId    = $currencyClass->get('id');
$renderer      = $this->getRenderer();
$nowDate       = $this->utility->getDate()->format('Y-m-d H:i:s', true);
echo $navbar;
?>
<script>
    _es.$(function ($) {
        var esChart = $('#es-chart');
        window.esLoadChartData = function () {
            var el = $(this);
            if (el.hasClass('bar-control')) {
                el.addClass('active')
                    .siblings('.bar-control').removeClass('active');
            }
            _es.ajax('<?php echo JUri::base(true); ?>/index.php?option=com_easyshop', {
                task: 'dashboard.loadChartData',
                viewType: esChart.find('.bar-control.active').data('type'),
                currencyId: esChart.find('.es-currency-id').val(),
                date: $('#es-chart-date').val(),
                easyshopArea: $('#es-body'),
                '<?php echo JSession::getFormToken(); ?>': 1
            }, function (response) {
                $('#es-chart .main-chart').html(response.data.chart);
                $('#es-latest-orders table').html($(response.data.latestOrderHTML).html());
                if (el.hasClass('es-currency-id')) {
                    $('#es-dashboard .es-tile').html($(response.data.tiles).html());
                }
            });
        };
        esChart.on('click', '.bar-control', esLoadChartData);
        esChart.on('change', '.es-currency-id', esLoadChartData);
        esLoadChartData();
    });
</script>
<div id="es-body"
     class="<?php echo empty($navbar) ? 'uk-width-1-1' : 'uk-width-3-4@m uk-width-4-5@xl uk-width-2-3@s' ?>">
    <form id="es-dashboard">
		<?php echo $this->tiles; ?>
        <div id="es-chart" class="uk-visible@m uk-margin">
            <div class="uk-card uk-card-small uk-card-body uk-card-default">
                <div class="title-bar uk-clearfix">
					<span data-type="weekly"
                          class="bar-control active"><?php echo JText::_('COM_EASYSHOP_WEEKLY'); ?></span>
                    <span data-type="monthly"
                          class="bar-control"><?php echo JText::_('COM_EASYSHOP_MONTHLY'); ?></span>
                    <span data-type="yearly"
                          class="bar-control"><?php echo JText::_('COM_EASYSHOP_YEARLY'); ?></span>
					<?php if ($currencyClass->isMultiMode()): ?>
                        <select class="es-currency-id uk-select uk-form-small">
							<?php foreach ($currencyClass->getList() as $currency): ?>
                                <option value="<?php echo $currency->id; ?>"
									<?php echo $currency->id == $cDefaultId ? ' selected' : ''; ?>>
									<?php echo $currency->name; ?>
                                </option>
							<?php endforeach; ?>
                        </select>
					<?php endif; ?>
					<?php echo JHtml::_('easyshop.datetimePicker', 'es-chart-date', 'chartDate', $nowDate, [
						'showTime' => 'false',
						'onchange' => 'esLoadChartData();',
					]); ?>
                </div>
                <div class="main-chart"></div>
            </div>
        </div>
        <div id="es-latest-orders" class="uk-margin">
            <div class="uk-card uk-card-small uk-card-body uk-card-default uk-overflow-auto">
                <h4 class="uk-heading-bullet"><?php echo JText::_('COM_EASYSHOP_LATEST_ORDERS'); ?></h4>
				<?php echo $renderer->render('order.summary', [
					'orders' => $this->latestOrders,
				]); ?>
            </div>
        </div>
		<?php if ($this->config->get('best_products', 1)
			|| $this->config->get('best_customers', 1)
		): ?>
            <div id="es-best" class="uk-grid-small uk-child-width-1-2@m" uk-grid>
                <div>
					<?php if ($this->config->get('best_products', 1)): ?>
						<?php echo $renderer->render('dashboard.best.product', [
							'products' => $this->get('BestProducts'),
							'style'    => $this->config->get('best_products_style', 'primary'),
						]); ?>
					<?php endif; ?>
                </div>
                <div>
					<?php if ($this->config->get('best_customers', 1)): ?>
						<?php echo $renderer->render('dashboard.best.customer', [
							'customers' => $this->get('BestCustomers'),
							'style'     => $this->config->get('best_customers_style', 'secondary'),
						]); ?>
					<?php endif; ?>
                </div>
            </div>

		<?php endif; ?>
    </form>

	<?php if (easyshop('config', 'display_footer', 1)): ?>
        <p style="text-align: center">
            Powered by <a href="https://www.joomtech.net/" target="_blank">JoomTech</a>
            | <i class="fab fa-joomla"></i>
            <a href="https://extensions.joomla.org/extension/easy-shop/" target="_blank">Rate on JED</a>
        </p>
	<?php endif; ?>

</div>
