<?php

/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
/** @var $utility \ES\Utility */
echo $this->getFormLayout('head');
$vars          = $this->get('layout.storage');
$this->columns = 7;
$showLogKey    = easyshop('config', 'show_log_key', 0);
$utility       = easyshop('class.utility');
?>
    <thead>
    <tr>
        <th class="uk-table-shrink uk-text-center uk-text-nowrap">
			<?php echo JHtml::_('easyshop.gridCheckall'); ?>
        </th>

        <th class="uk-table-expand@m">
			<?php echo JHtml::_('searchtools.sort', 'COM_EASYSHOP_SUMMARY', 'a.string_key', $vars['listDirn'], $vars['listOrder']); ?>
        </th>

        <th class="uk-table-shrink uk-text-center uk-text-nowrap">
			<?php echo JHtml::_('searchtools.sort', 'COM_EASYSHOP_DATE', 'a.created_date', $vars['listDirn'], $vars['listOrder']); ?>
        </th>

        <th class="uk-table-shrink uk-text-center uk-text-nowrap uk-visible@m">
			<?php echo JHtml::_('searchtools.sort', 'COM_EASYSHOP_USER', 'author', $vars['listDirn'], $vars['listOrder']); ?>
        </th>

        <th class="uk-width-medium@m uk-text-nowrap uk-visible@m">
			<?php echo JHtml::_('searchtools.sort', 'COM_EASYSHOP_REFERER', 'a.referer', $vars['listDirn'], $vars['listOrder']); ?>
        </th>

        <th class="uk-table-shrink uk-text-center uk-text-nowrap uk-visible@m">
			<?php echo JHtml::_('searchtools.sort', 'COM_EASYSHOP_IP', 'a.ip', $vars['listDirn'], $vars['listOrder']); ?>
        </th>

        <th class="uk-table-shrink uk-text-center uk-text-nowrap uk-visible@m">
			<?php echo JHtml::_('searchtools.sort', 'COM_EASYSHOP_ID', 'a.id', $vars['listDirn'], $vars['listOrder']); ?>
        </th>

    </tr>
    </thead>
    <tbody>
	<?php foreach ($this->items as $i => $item): ?>
        <tr>
            <td class="uk-text-center uk-text-nowrap">
				<?php echo JHtml::_('easyshop.gridId', $i, $item->id); ?>
            </td>
            <td>
				<?php
				if (!empty($item->sprintf_data))
				{
					$sprintsData = json_decode($item->sprintf_data, true);
					array_unshift($sprintsData, $item->string_key);
					echo call_user_func_array('JText::sprintf', array_values($sprintsData));
				}
				else
				{
					echo JText::_($item->string_key);
				}

				if ($showLogKey)
				{
					echo '<br/>' . '<small><strong>' . JText::_('COM_EASYSHOP_TRANSLATE_BY_KEY') . ': </strong>' . $item->string_key . '</small>';
				}
				?>
            </td>
            <td class="uk-text-center uk-text-nowrap">
				<?php echo $utility->displayDate($item->created_date, true); ?>
            </td>
            <td class="uk-text-center uk-text-nowrap uk-visible@m">
				<?php if (!empty($item->author)): ?>
					<?php echo $item->author . '<small>(' . $item->username . ')</small>'; ?>
				<?php endif; ?>
            </td>

            <td class="uk-visible@m uk-text-center uk-text-truncate">
                <div title="<?php echo htmlspecialchars($item->referer); ?>">
					<?php echo $item->referer; ?>
                </div>
            </td>

            <td class="uk-text-center uk-text-nowrap uk-visible@m">
				<?php echo easyshop('prepare.logip', $item->ip); ?>
            </td>

            <td class="uk-text-center uk-text-nowrap uk-visible@m">
				<?php echo $item->id; ?>
            </td>
        </tr>
	<?php endforeach; ?>
    </tbody>

<?php echo $this->getFormLayout('foot'); ?>
