<?php

/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;

$baseUrl  = $this->directory->get('path.url');
$type     = $this->isFile ? 'file' : 'image';
$lightbox = !$this->isFile && $this->method !== 'importMedia' ? ' uk-lightbox' : '';
$user     = easyshop('class.user');

if (easyshop('site'))
{
	$userPath = 'assets/' . $type . 's/user_customers/' . $user->get()->id . '/';
}
else
{
	$userPath = 'assets/' . $type . 's/';
}

//@since 1.1.6
$renderer = $this->getRenderer();
?>
<div id="es-files" class="list">
    <ul class="files">
		<?php foreach ($this->directory->get('list.path') as $path):
			$removeDirAjax = EasyshopHelperMedia::getLink($path->get('path'), $type, 'media.removeFolder');
			?>
            <li class="directory">
                <a href="<?php echo $path->get('url'); ?>">
                    <span uk-icon="icon: folder"></span>
					<?php echo $path->get('title'); ?>
                </a>
                <button type="button"
                        data-directory="<?php echo $path->get('path'); ?>"
                        class="uk-button uk-button-default uk-button-small remove">
                    <span uk-icon="icon: trash"></span>
                </button>
            </li>
		<?php endforeach; ?>
		<?php if ($this->isFile): ?>
			<?php foreach ($this->files as $file):
				$name = htmlspecialchars(basename($file->file), ENT_COMPAT, 'UTF-8');
				$fileAlias = htmlspecialchars(str_replace($userPath, '', $file->file));
				?>
                <li class="file"
                    data-file="<?php echo htmlspecialchars($file->file); ?>"
                    data-alias="<?php echo $fileAlias; ?>">
                    <a href="#" class="preview" title="<?php echo $name; ?>" uk-tooltip>
						<div class="uk-text-center">
							<?php if (preg_match('/(jpe?g|png|gif)$/i', $file->file)): ?>
                                <span uk-icon="icon: image"></span>
							<?php else: ?>
                                <span uk-icon="icon: cloud-download"></span>
							<?php endif; ?>
                        </div>
                        <small class="name">
                            <span><?php echo $name; ?></span>
                        </small>
                    </a>
                    <button type="button"
                            class="uk-button uk-button-link uk-text-danger remove">
                        <i class="fa fa-times"></i>
                    </button>
                </li>
			<?php endforeach; ?>
		<?php else: ?>
			<?php foreach ($this->files as $file):
				$fileName = basename($file->image);
				$fileAlias = htmlspecialchars(str_replace($userPath, '', $file->originBasePath), ENT_COMPAT, 'UTF-8');
				$fileBasePath = htmlspecialchars($file->originBasePath, ENT_COMPAT, 'UTF-8');
				?>
                <li class="file image"<?php echo $lightbox; ?>
                    data-file="<?php echo $fileBasePath; ?>"
                    data-alias="<?php echo $fileAlias; ?>">
                    <a href="<?php echo $file->image; ?>" class="preview uk-text-truncate"
                       title="<?php echo htmlspecialchars($fileName, ENT_COMPAT, 'UTF-8'); ?>" uk-tooltip>
                        <img data-src="<?php echo $file->tiny; ?>" alt="" uk-img/>
                        <small class="name">
                            <span><?php echo $fileName; ?></span>
                        </small>
                    </a>
                    <button type="button"
                            class="uk-button uk-button-default uk-button-small remove">
                        <span uk-icon="icon: trash"></span>
                    </button>
                </li>
			<?php endforeach; ?>
		<?php endif; ?>
    </ul>
</div>
