<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
easyshop('doc')->addScriptDeclaration('
	_es.$(document).ready(function ($) {
		var loadFields = function(){		   
		   Joomla.submitform("product.loadFields", document.getElementById("item-form"));
		};
		
		$("#jform_category_id").on("change", loadFields);
	});
');

$this->addOns = easyshop('class.addon')
	->getAddons('product', (int) $this->item->id);
echo $this->getFormLayout('head');

?>
<!-- Product details-->
<?php echo $this->getRenderer()->render('view.item.name-alias', ['form' => $this->form]); ?>
<?php JHtml::_('ukui.addTab', JText::_('COM_EASYSHOP_PRODUCT_DETAILS', true), [
	'icon' => '<span uk-icon="icon: info"></span>',
]); ?>
<div id="es-product-details" class="es-input-100 es-border uk-margin">
    <div class="uk-grid uk-grid-small uk-child-width-1-5@m uk-child-width-1-6@xl uk-child-width-1-3@s">
		<?php foreach ($this->form->getFieldset('details') as $field): ?>
			<?php echo $field->renderField(); ?>
		<?php endforeach; ?>
    </div>
</div>
<div class="uk-padding-small uk-background-muted es-border uk-margin-small-bottom">
	<?php echo $this->form->getInput('summary'); ?>
</div>
<div class="uk-padding-small uk-background-muted es-border uk-clearfix">
	<?php echo $this->form->getInput('description'); ?>
</div>
<?php JHtml::_('ukui.endTab'); ?>
<!-- Product prices and tax-->
<?php JHtml::_('ukui.addTab', JText::_('COM_EASYSHOP_PRODUCT_PRICES_TAXES', true), [
	'icon' => '<span uk-icon="icon: credit-card"></span>',
]); ?>
<?php echo $this->loadTemplate('price'); ?>
<?php JHtml::_('ukui.endTab'); ?>
<!-- Product media-->
<?php JHtml::_('ukui.addTab', JText::_('COM_EASYSHOP_MEDIA', true), [
	'icon' => '<span uk-icon="icon: image"></span>',
]); ?>
<?php echo $this->loadTemplate('media'); ?>
<?php JHtml::_('ukui.endTab'); ?>
<!-- Customfields -->
<?php echo $this->loadTemplate('customfields'); ?>
<?php JHtml::_('ukui.addTab', JText::_('COM_EASYSHOP_DISPLAY', true), [
	'icon' => '<span uk-icon="icon: search"></span>',
]); ?>
<?php JHtml::_('ukui.openTab', 'params'); ?>
<?php foreach ($this->form->getFieldsets('params') as $fieldSet):
	$fields = $this->form->getFieldset($fieldSet->name);
	?>
	<?php JHtml::_('ukui.addTab', JText::_($fieldSet->label, true)); ?>
    <div class="uk-card uk-card-small uk-card-default uk-card-body es-border">
        <div class="uk-form-horizontal" data-zone-group>
			<?php foreach ($fields as $field): ?>
				<?php echo $field->renderField(); ?>
			<?php endforeach; ?>
        </div>
        <div id="meta-box">
            <fieldset class="uk-fieldset uk-form-horizontal">
				<?php foreach ($this->form->getFieldset('metadata') as $field): ?>
					<?php echo $field->renderField(); ?>
				<?php endforeach; ?>
            </fieldset>
        </div>
    </div>
	<?php JHtml::_('ukui.endTab'); ?>
<?php endforeach; ?>
<?php echo JHtml::_('ukui.renderTab', 'tab-left', [
	'responsive' => true,
	'tabId'      => 'params',
	'icon'       => '<span uk-icon="icon: search"></span>',
]); ?>
<?php JHtml::_('ukui.endTab'); ?>
<?php if (count($this->addOns)): ?>
	<?php JHtml::_('ukui.addTab', JText::_('COM_EASYSHOP_ADDONS', true), 'puzzle-piece'); ?>
	<?php echo $this->loadTemplate('addons'); ?>
	<?php JHtml::_('ukui.endTab'); ?>
<?php endif; ?>

<?php echo JHtml::_('ukui.renderTab'); ?>
<?php echo $this->getFormLayout('foot'); ?>
<div id="es-product-bottom"></div>
