<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
$multiCurrencies = easyshop('config', 'multi_currencies_mode', '0');
$attribute       = $multiCurrencies ? 'class="uk-select"' : 'class="uk-select" disabled';
easyshop('doc')->addScriptDeclaration('
	_es.$(document).ready(function ($) {
		_es.setData("currency_box", ' . json_encode(JHtml::_('easyshop.currencies', 'jform[prices][currency_id][]', $attribute)) . ');
		_es.setData("multi_currencies", ' . (int) $multiCurrencies . ');		
	});
');
?>
<div id="price-tax-box">
    <fieldset class="uk-fieldset uk-form-horizontal uk-card uk-card-small uk-card-default uk-card-body">
		<?php echo $this->form->renderField('taxes'); ?>
		<?php echo $this->form->renderField('price'); ?>
        <table class="uk-table uk-table-striped uk-table-small">
            <thead>
            <tr>
                <th><?php echo JText::_('COM_EASYSHOP_MIN_QUANTITY'); ?></th>
                <th><?php echo JText::_('COM_EASYSHOP_PRODUCT_PRICE'); ?></th>
                <th><?php echo JText::_('COM_EASYSHOP_CURRENCY'); ?></th>
                <th>
                    <button
                            type="button"
                            class="uk-button uk-button-primary uk-button-small"
                            onclick="_es.events.addProductPrice('#price-tax-box');">
                        <i class="fa fa-plus"></i>
                    </button>
                </th>
            </tr>
            </thead>
            <tbody>
			<?php if (!empty($this->item->prices)): ?>
				<?php foreach ($this->item->prices as $price): ?>
                    <tr>
                        <td>
                            <input type="text" name="jform[prices][min_quantity][]"
                                   class="uk-input"
                                   value="<?php echo (int) $price->min_quantity; ?>"/>
                        </td>
                        <td>
                            <input type="text" name="jform[prices][price][]"
                                   class="price uk-input"
                                   value="<?php echo (float) $price->price_value; ?>"/>
                        </td>
                        <td>
							<?php echo JHtml::_('easyshop.currencies', 'jform[prices][currency_id][]', $attribute, $price->currency_id); ?>
                        </td>
                        <td>
                            <button type="button" class="uk-button uk-button-danger uk-button-small"
                                    onclick="_es.events.removeParentBox(this, 'tr');">
                                <i class="fa fa-times"></i>
                            </button>
                        </td>
                    </tr>
				<?php endforeach; ?>
			<?php endif; ?>
            </tbody>
        </table>
    </fieldset>
</div>
