<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JLoader::import('easyshop.view.item');
use ES\View\ViewItem;

class EasyshopViewCustomfield extends ViewItem
{
	public function display($tpl = null)
	{
		$reflector = easyshop('app')->input->getCmd('reflector');
		easyshop('class.customField')->check(false, $reflector);

		parent::display($tpl);
	}

	protected function addToolbar()
	{
		easyshop('app')->input->set('hidemainmenu', true);
		$user       = easyshop('class.user');
		$name       = $this->getName();
		$userId     = $user->get()->id;
		$isNew      = ($this->item->id == 0);
		$checkedOut = !($this->item->checked_out == 0 || $this->item->checked_out == $userId);
		$title      = strtoupper($name);

		\JToolbarHelper::title(
			\JText::_('COM_EASYSHOP_' . ($checkedOut ? 'VIEW_' . $title : ($isNew ? 'ADD_' . $title : 'EDIT_' . $title))),
			'pencil-2'
		);

		if ($isNew && $user->core('create'))
		{
			\JToolbarHelper::apply($name . '.apply');
			\JToolbarHelper::save($name . '.save');
			\JToolbarHelper::save2new($name . '.save2new');
			\JToolbarHelper::cancel($name . '.cancel');
		}
		else
		{
			// Can't save the record if it's checked out.
			if (!$checkedOut)
			{
				// Since it's an existing record, check the edit permission, or fall back to edit own if the owner.
				if ($user->core('edit') || ($user->core('edit.own') && $this->item->created_by == $userId))
				{
					\JToolbarHelper::apply($name . '.apply');
					\JToolbarHelper::save($name . '.save');

					// We can save this record, but check the create permission to see if we can return to make a new one.
					if ($user->core('create'))
					{
						\JToolbarHelper::save2new($name . '.save2new');
					}
				}
			}

			\JToolbarHelper::cancel($name . '.cancel', 'JTOOLBAR_CLOSE');
		}
	}
}
