<?php
/**
 * @package     com_easyshop
 * @version     1.0.5
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JLoader::import('easyshop.view.legacy');

use ES\View\ViewLegacy;

class EasyshopViewLanguage extends ViewLegacy
{
	protected $languages;
	protected $files;
	protected $file;
	protected $form;
	protected $langTag;

	public function display($tpl = null)
	{
		$app             = easyshop('app');
		$this->languages = EasyshopHelper::getLanguageList();
		$edit            = $this->getLayout() == 'edit';
		$display         = true;

		if ($edit)
		{
			$this->file    = $app->input->getString('file');
			$parts         = explode('.', basename($this->file));
			$this->langTag = $parts[0];

			if (is_file(JPATH_ROOT . $this->file))
			{
				$this->form = new \JForm('com_easyshop.language', ['control' => 'jform']);
				$this->form->loadFile(ES_COMPONENT_ADMINISTRATOR . '/models/forms/language.xml');
				$this->form->setValue('file_contents', null, file_get_contents(JPATH_ROOT . $this->file));
			}
			else
			{
				$display = false;
			}
		}
		else
		{
			$this->langTag = $app->input->getString('tag', '');
			$this->files   = EasyshopHelper::getAllLanguagesFiles($this->langTag);
		}

		if (!in_array($this->langTag, array_keys($this->languages)))
		{
			$display = false;
		}

		if ($display)
		{
			parent::display($tpl);
			$this->addToolbar();
		}
		else
		{
			$app->enqueueMessage('Language not found.', 'warning');
			$app->redirect(JRoute::_('index.php?option=com_easyshop&view=languages', false));
		}
	}

	protected function addToolbar()
	{
		if ($this->getLayout() == 'edit')
		{
			JToolbarHelper::title(JText::sprintf('COM_EASYSHOP_LANGUAGE_EDIT_FILE_FORMAT', $this->file));
			JToolbarHelper::apply('language.editFile');
			JToolbarHelper::link(JRoute::_('index.php?option=com_easyshop&view=language&tag=' . $this->langTag, false), 'JTOOLBAR_BACK');
		}
		else
		{
			JToolbarHelper::title(JText::sprintf('COM_EASYSHOP_LANGUAGE_FILES', $this->langTag));
			JToolbarHelper::link(JRoute::_('index.php?option=com_easyshop&view=languages', false), 'JTOOLBAR_BACK');
		}

		if (easyshop('class.user')->core('admin'))
		{
			JToolbarHelper::preferences('com_easyshop');
		}
	}
}
