<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

defined('_JEXEC') or die;
JLoader::import('easyshop.view.item');
use ES\View\ViewItem;

class EasyshopViewMethod extends ViewItem
{
	protected $methodType;

	public function display($tpl = null)
	{
		$type = easyshop('app')->input->getCmd('filter_type');

		if (!in_array($type, ['shipping', 'payment'], true))
		{
			throw new Exception(JText::_('COM_EASYSHOP_ERROR_INVALID_METHOD'));
		}

		$this->methodType = $type;
		parent::display($tpl);
	}

	protected function addToolbar()
	{
		parent::addToolbar();
		JToolbarHelper::title(JText::_('COM_EASYSHOP_ADD_METHOD_' . strtoupper($this->methodType)));
	}

}
