<?php
/**
 *  @package     com_easyshop
 *  @version     1.0.5
 *  @Author      JoomTech Team
* @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 *  @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;

use ES\View\ViewList;
JLoader::import('easyshop.view.list');

class EasyshopViewMethods extends ViewList
{
	public function display($tpl = null)
	{
		$type = easyshop('app')->input->getCmd('filter_type');

		if (!in_array($type, ['shipping', 'payment'], true))
		{
			throw new Exception(JText::_('COM_EASYSHOP_ERROR_INVALID_METHOD'));
		}

		parent::display($tpl);
	}

	protected function addToolbar()
	{
		if ($this->getLayout() == 'select')
		{
			JToolbarHelper::title(JText::_('COM_EASYSHOP_METHOD_SELECT'));
			JToolbarHelper::back();

			if (easyshop('class.user')->core('admin'))
			{
				JToolbarHelper::preferences('com_easyshop');
			}
		}
		else
		{
			parent::addToolbar();
		}
	}
}
