<?php

/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
JLoader::import('easyshop.view.list');

use ES\View\ViewList;

class EasyshopViewOrders extends ViewList
{
	protected function addToolbar()
	{
		$user = easyshop('class.User');

		JToolbarHelper::title(\JText::_('COM_EASYSHOP_ORDERS_MANAGE'));

		if ($user->core('create'))
		{
			JToolbarHelper::addNew('order.add');
		}

		if ($user->core('edit') || $user->core('edit.state'))
		{
			if ($this->state->get('filter.published') == -2 && $user->core('delete'))
			{
				JToolbarHelper::deleteList('', 'orders.delete');
			}
			else
			{
				JToolbarHelper::trash('orders.trash');
			}

			if ($user->core('edit.state'))
			{
				JToolbarHelper::checkin('orders.checkin');
			}
		}

		if ($user->core('admin'))
		{
			JToolbarHelper::custom('orders.export', 'download', '', 'COM_EASYSHOP_EXPORT');
			JToolbarHelper::preferences('com_easyshop');
		}
	}
}
