<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
$dropdownMode = $params->get('dropdown_mode');
$align        = $params->get('dropdown_display') ? ('pos:' . $params->get('dropdown_display') . ';') : '';
$flyToCart    = (int) $params->get('fly_to_cart', 0);

if ($flyToCart)
{
	easyshop('class.html')->jui(['effect', 'effect-transfer']);
}

?>
<div class="uk-scope">
    <div class="cart-boundary mod-easyshop-cart<?php echo $dropdownMode ? ' boundary-align' : ''; ?><?php echo $moduleClassSfx; ?>">
        <div class="uk-text-meta">
			<?php if ($params->get('your_cart_label', 1)): ?>
				<?php echo JText::_('COM_EASYSHOP_YOUR_CART'); ?>
			<?php endif; ?>
            <span class="es-icon-cart" uk-icon="icon: cart"></span>
            <div data-cart-count class="uk-badge uk-badge-notification">
				<?php echo $data['count']; ?>
            </div>
        </div>
		<?php if (!empty($data['items'])): ?>
			<?php if ($dropdownMode): ?>
                <div uk-drop="<?php echo $align; ?>boundary: .cart-boundary; offset: 10; boundary-align: true; mode: <?php echo $dropdownMode; ?>">
					<?php echo $cartInfo; ?>
                </div>
			<?php else: ?>
				<?php echo $cartInfo; ?>
			<?php endif; ?>
		<?php endif; ?>
    </div>
</div>
<script>
    _es.$(document).on('esCartResponse', function (e, request, response) {
        var
            $ = _es.$,
            flyToCart = <?php echo $flyToCart; ?>;
        if (flyToCart && request.requestType === 'addToCart') {
            var image = $('[data-product-id="' + request.productId + '"]:eq(0) img:eq(0)');
            if (image.length) {
                response.data.html = '';
                image.effect('transfer', {
                    to: $('.mod-easyshop-cart .es-icon-cart')
                }, <?php echo (int) $params->get('fly_to_cart_duration', 1000); ?>);
                $('.ui-effects-transfer:last').css({
                    'background-image': 'url("' + image.attr('src') + '")',
                    'background-size': '100%',
                    'opacity': 0.8
                });
            }
        }

        _es.ajax('<?php echo JUri::root(true); ?>/index.php?option=com_ajax', {
            moduleId: <?php echo (int) $module->id; ?>,
            module: 'easyshop_cart',
            params: $('.mod-easyshop-cart').parents('[data-cart-params]').length ? $('.mod-easyshop-cart').parents('[data-cart-params]').data('cartParams') : {},
            method: 'loadModule',
            format: 'json',
            easyshopArea: $('.mod-easyshop-cart')
        }, function (response) {
            if (response.data !== '') {
                var content = $(response.data);
                content.find('script').remove();
                $('.mod-easyshop-cart').html(content.html());
            }
        });
    });
</script>
