<?php

/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
$html     = easyshop('class.html');
$renderer = easyshop('renderer');
$carousel = $params->get('use_carousel', 0);

if ($carousel == '1')
{
	$layoutId = 'product.carousel';
}
elseif ($carousel == '2')
{
	$layoutId = 'product.slider';
}
else
{
	$layoutId = 'product.products';
}

$slideNav      = $params->get('carousel_nav', '1');
$slideDots     = $params->get('carousel_dots', '1');
$slideAutoPlay = $params->get('carousel_autoplay', '1');
$groupsInTabs  = $params->get('group_in_tabs', '1');
$columnInRow   = (int) $params->get('product_list_columns', 3);
$slideRows     = (int) $params->get('slider_rows', 1);

// @since 1.1.6
$gridFilters   = $params->get('grid_filters', '0');
$filterNav     = '';
$filterContent = '';
$utility       = easyshop('class.utility');
$imageSize     = $config->get('product_list_image_size', 'medium');
$columnWidth   = $utility->parseColumnClassSizes($config);

if (!in_array($imageSize, ['tiny', 'small', 'medium', 'large', 'xlarge']))
{
	$imageSize = 'medium';
}

?>
    <div id="mod-easyshop-products-<?php echo $module->id; ?>"
         class="uk-scope es-scope mod-easyshop-products <?php echo $moduleClassSfx; ?> product-list <?php echo $params->get('list_mode', 'grid'); ?>-view">
		<?php if ($params->get('product_mode') == 'products'): ?>
			<?php echo $renderer->render($layoutId, [
				'config'        => $config,
				'products'      => $items,
				'slideNav'      => $slideNav,
				'slideDots'     => $slideDots,
				'slideAutoPlay' => $slideAutoPlay,
				'columnInRow'   => $columnInRow,
				'slideRows'     => $slideRows,
			]); ?>
		<?php else: ?>
			<?php foreach ($items as $categoryId => $products): ?>
				<?php if ($gridFilters): ?>
					<?php
					$filterNav .= '<li uk-filter-control="[data-category-id=\'' . $categoryId . '\']"><a href="#">' . $categories[$categoryId]->title . '</a></li>';

					foreach ($products as $product)
					{
						if (!empty($product->images[0]->{$imageSize}))
						{
							$product->image      = $product->images[0];
							$product->image->src = $product->image->{$imageSize};
						}

						$filterContent .= $renderer->render('product.product', [
							'config'      => $config,
							'product'     => $product,
							'columnWidth' => $columnWidth . ' es-category-id' . $categoryId,
							'imageSize'   => $imageSize,
							'showOptions' => $config->get('product_list_options', 1),
							'utility'     => $utility,
						]);
					}
					?>
				<?php elseif ($groupsInTabs): ?>
					<?php JHtml::_('ukui.addTab', $categories[$categoryId]->title); ?>
					<?php include JModuleHelper::getLayoutPath('mod_easyshop_products', $layout . '_category'); ?>
					<?php JHtml::_('ukui.endTab'); ?>
				<?php else: ?>
					<?php include JModuleHelper::getLayoutPath('mod_easyshop_products', $layout . '_category'); ?>
				<?php endif; ?>
			<?php endforeach; ?>

			<?php if ($gridFilters) : ?>
                <div uk-filter="target: .es-filter">
                    <ul class="uk-subnav uk-flex-center uk-subnav-pill" uk-margin>
						<?php echo $filterNav; ?>
                    </ul>
                    <div class="es-filter uk-grid-small" uk-grid="masonry: true">
						<?php echo $filterContent; ?>
                    </div>
                </div>
			<?php elseif ($groupsInTabs): ?>
				<?php echo JHtml::_('ukui.renderTab', $params->get('tab_layout', 'tab-default')); ?>
			<?php endif; ?>

		<?php endif; ?>
    </div>
<?php if ($carousel == '1'):
	$html->addCss('owl.carousel.css')
		->addJs('owl.carousel.min.js');
	?>
    <script>
        jQuery(document).ready(function ($) {
            var gridList = $('#mod-easyshop-products-<?php echo $module->id; ?> [data-product-list]');
            var nav = <?php echo $slideNav ? 'true' : 'false'; ?>;
            var dots = <?php echo $slideDots ? 'true' : 'false'; ?>;
            var autoplay = <?php echo $slideAutoPlay ? 'true' : 'false'; ?>;
            var navText = [
                '<a class="uk-position-center-left" uk-slidenav-previous></a>',
                '<a class="uk-position-center-right" uk-slidenav-next></a>'
            ];
            gridList.owlCarousel({
                responsive: {
                    0: {
                        items: 1,
                        margin: 5,
                        loop: false,
                        navText: navText
                    },
                    480: {
                        items: 2,
                        margin: 5,
                        loop: false,
                        navText: navText
                    },
                    768: {
                        items: 3,
                        margin: 5,
                        loop: false,
                        navText: navText
                    },
                    992: {
                        items: <?php echo $columnInRow; ?>,
                        margin: 5,
                        loop: false,
                        navText: navText
                    }
                },
                nav: nav,
                dots: dots,
                autoplay: autoplay
            });
        });
    </script>
<?php endif; ?>
