<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
JLoader::register('EasyshopHelperRoute', ES_COMPONENT_SITE . '/helpers/route.php');

class ModEasyshopSearchHelper
{
	public static function loadFormLayout($params)
	{
		$form = new JForm('com_easyshop.search');
		$form->loadFile(ES_COMPONENT_SITE . '/models/forms/search.xml');

		if ($params->get('search_by_category', '1'))
		{
			if ($base = (int) $params->get('base_category_id', 0))
			{
				/** @var $form \Joomla\CMS\Form\Form */
				$form->setFieldAttribute('category', 'parent_id', $base);
			}
		}
		else
		{
			$form->removeField('category');
		}

		if (!$params->get('search_by_brand', '1'))
		{
			$form->removeField('brand');
		}

		if (!$params->get('range_by_price', '1'))
		{
			$form->removeField('range');
		}

		$app  = easyshop('app');
		$data = [];

		foreach ($app->input->getArray() as $name => $value)
		{
			if ($form->getField($name))
			{
				if (in_array($name, ['category', 'brand', 'range'])
					&& strpos($value, '|') !== false
				)
				{
					$value = explode('|', $value);
					$value = $value[0];
				}

				$data[$name] = $value;
			}
		}

		$app->triggerEvent('onEasyshopPrepareSearchForm', [$form, $data]);
		$form->bind($data);
		$action         = JRoute::_(EasyshopHelperRoute::getSearchRoute(['task' => 'search']), false);
		$uri            = JUri::getInstance($action);
		$hidden         = $uri->getQuery(true);
		$moduleClassSfx = htmlspecialchars($params->get('moduleclass_sfx'));

		require JModuleHelper::getLayoutPath('mod_easyshop_search', $params->get('layout', 'default'));
	}
}
