jQuery(document).ready(function ($) {
    var loadTab = function () {

        if (!sessionStorage) {
            return;
        }

        var getKey = function (tab) {
            var key;

            if (tab.attr('uk-tab')) {
                key = tab.attr('uk-tab').toString().replace(/connect:\s*/gi, '');
                key = $.trim(key.replace(/;.*/gi, ''));
            }

            return key;
        };

        $(document).on('click', '[uk-tab]>li', function () {
            var key = getKey($(this).parent('ul[uk-tab]'));

            if (key) {
                sessionStorage.setItem(key, $(this).index());
            }
        });

        var activateTab = function () {
            $('ul[uk-tab]').each(function () {
                var key = getKey($(this));

                if (key && $(key).length) {
                    var index = sessionStorage.getItem(key);

                    if (index) {
                        var found = false;

                        $(this).find('>li').each(function () {
                            if (index == $(this).index()) {
                                $(this).click();
                                found = true;
                                return false;
                            }
                        });

                        if (!found) {
                            sessionStorage.removeItem(key)
                        }
                    }
                }
            });
        };

        activateTab();
    };

    setTimeout(loadTab, 300);
});
