<?php
/**
 *  @package     com_easyshop
 *  @version     1.0.5
 *  @Author      JoomTech Team
* @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 *  @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
namespace ES;

defined('_JEXEC') or die;

class Database
{
	public static function insert($table, Array $columns, Array $values)
	{
		$db      = easyshop('db');
		$updates = [];
		$inserts = [];

		foreach ($columns as &$column)
		{
			$column    = $db->qn($column);
			$updates[] = $column . ' = VALUES(' . $column . ')';
		}

		$query = ['INSERT INTO ' . $db->qn($table) . '(' . join(',', $columns) . ') '];

		foreach ($values as $value)
		{
			foreach ($value as &$val)
			{
				$val = $db->q($val);
			}

			$inserts[] = '(' . join(',', $value) . ')';
		}

		$query[] = 'VALUES ' . join(',', $inserts);
		$query[] = 'ON DUPLICATE KEY UPDATE ' . join(',', $updates);

		$db->setQuery(join(' ', $query));

		return $db->execute();
	}
}
