<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace ES;
defined('_JEXEC') or die;

class Event
{
	protected static $events = [];

	public function register($event, array $arguments = [])
	{
		if (!isset(self::$events[$event]))
		{
			self::$events[$event] = [];
		}

		self::$events[$event][] = $arguments;

		return $this;
	}

	public function execute($event)
	{
		$results = [];

		if (isset(self::$events[$event]))
		{
			foreach (self::$events[$event] as $arguments)
			{
				$result    = easyshop('app')->triggerEvent($event, $arguments);
				$results[] = trim(implode("\n", $result));
			}

			unset(self::$events[$event]);
		}

		return trim(implode("\n", $results));
	}
}
