<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace ES;

defined('_JEXEC') or die;

class Log
{
	public function addEntry($context, $stringKey, array $sprintfData = [], $previousData = null, $modifiedData = null)
	{
		$db           = easyshop('db');
		$previousData = is_array($previousData) ? $db->q(json_encode($previousData))
			: (is_string($previousData) ? $db->q($previousData) : $db->q('NULL'));
		$modifiedData = is_array($modifiedData) ? $db->q(json_encode($modifiedData))
			: (is_string($modifiedData) ? $db->q($modifiedData) : $db->q('NULL'));
		$query        = $db->getQuery(true)
			->insert($db->qn('#__easyshop_logs'))
			->columns($db->qn([
				'context',
				'string_key',
				'sprintf_data',
				'previous_data',
				'modified_data',
				'juser_id',
				'ip',
				'user_agent',
				'created_date',
				'referer',
			]))
			->values(
				$db->q($context) . ','
				. $db->q(strtoupper($stringKey)) . ','
				. $db->q(json_encode($sprintfData)) . ','
				. $previousData . ','
				. $modifiedData . ','
				. (int) \JFactory::getUser()->id . ','
				. $db->q(easyshop('class.utility')->getClientIp()) . ','
				. $db->q(isset($_SERVER['HTTP_USER_AGENT']) ? $_SERVER['HTTP_USER_AGENT'] : '') . ','
				. $db->q(\JFactory::getDate()->toSql()) . ','
				. $db->q(isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '')
			);

		return $db->setQuery($query)
			->execute();
	}
}
