<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace ES\Controller;

use ES\Model\ModelAdmin;

defined('_JEXEC') or die;

class ControllerAdmin extends \JControllerAdmin
{
	public function __construct(array $config)
	{
		if (empty($this->view_list) || empty($this->view_item))
		{
			$name = $this->getReflectorName();

			if (empty($this->view_list))
			{
				$this->view_list = $name;
			}

			if (empty($this->view_item))
			{
				$stringHelper    = easyshop('class.StringHelper');
				$this->view_item = $stringHelper->toSingular($name);
			}
		}

		parent::__construct($config);
	}

	public function getModel($name = '', $prefix = 'EasyshopModel', $config = ['ignore_request' => true])
	{
		if (empty($name))
		{
			$stringHelper = easyshop('class.StringHelper');
			$name         = $stringHelper->toSingular($this->getReflectorName());

			if ($name == 'customfields')
			{
				$name = 'customfield';
			}
		}

		$reflection = new \ReflectionClass($this);
		$path       = dirname(dirname($reflection->getFileName()));

		\JModelLegacy::addIncludePath($path . '/models', 'EasyshopModel');

		return \JModelLegacy::getInstance($name, $prefix, $config);

	}

	protected function getReflectorName()
	{
		$r = null;

		if (!preg_match('/Controller(.*)/i', get_class($this), $r))
		{
			throw new \Exception(\JText::_('JLIB_APPLICATION_ERROR_CONTROLLER_GET_NAME'), 500);
		}

		$name = strtolower($r[1]);

		return $name;
	}
}
