<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace ES\Controller;
defined('_JEXEC') or die;

class ControllerForm extends \JControllerForm
{
	public function __construct(array $config)
	{
		if (empty($this->view_list) || empty($this->view_item))
		{
			$name = $this->getReflectorName();

			if (empty($this->view_list))
			{
				$stringHelper    = easyshop('class.StringHelper');
				$this->view_list = $stringHelper->toPlural($name);
			}

			if (empty($this->view_item))
			{
				$this->view_item = $name;
			}
		}

		parent::__construct($config);
	}

	protected function getReflectorName()
	{
		$r = null;

		if (!preg_match('/Controller(.*)/i', get_class($this), $r))
		{
			throw new \Exception(JText::_('JLIB_APPLICATION_ERROR_CONTROLLER_GET_NAME'), 500);
		}

		$name = strtolower($r[1]);

		return $name;
	}

	protected function allowAdd($data = [])
	{
		return easyshop('class.user')->core('create');
	}

	protected function allowEdit($data = [], $key = 'id')
	{
		return easyshop('class.user')->core('edit');
	}
}
