<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace ES\Controller;
defined('_JEXEC') or die;

class ControllerLegacy extends \JControllerLegacy
{
	/**
	 * @var $app \JApplicationCms
	 * @since 1.0.0
	 */
	protected $app;

	public function __construct(array $config = [])
	{
		parent::__construct($config);
		$this->app = easyshop('app');
	}

	public function checkToken($method = 'post', $redirect = true)
	{
		$valid = \JSession::checkToken($method);

		if (!$valid && $redirect)
		{
			$this->redirectBackPage(\JText::_('JINVALID_TOKEN_NOTICE'), 'warning');
		}

		return $valid;
	}

	public function redirectBackPage($message = null, $type = 'message')
	{
		if ($return = $this->app->input->getBase64('return'))
		{
			$redirect = base64_decode($return);
		}
		else
		{
			$redirect = $this->app->input->server->getString('HTTP_REFERER');

			if (!\JUri::isInternal($redirect))
			{
				$redirect = \JUri::root();
			}
		}

		if ($message)
		{
			$this->app->enqueueMessage($message, $type);
		}

		$this->app->redirect($redirect);
	}
}
