<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

namespace ES\Plugin;
defined('_JEXEC') or die;

class PluginLegacy extends \JPlugin
{
	/**
	 * @var $app \JApplicationCms
	 * @since 1.0.0
	 */
	protected $app;
	/**
	 * @var  $db \JDatabaseDriver
	 * @since 1.0.0
	 */
	protected $db;
	protected $autoloadLanguage = true;

	public function __construct($subject, array $config = [])
	{
		$this->app = easyshop('app');
		$this->db  = easyshop('db');
		parent::__construct($subject, $config);
		easyshop('state')->set('plugin.' . $this->_type . '.' . $this->_name . '.renderer', $this->getRenderer());
	}

	protected function getRenderer()
	{
		/** @var $renderer \ES\LayoutHelper */
		static $renderer = null;

		if (null === $renderer)
		{
			$renderer = easyshop('class.layoutHelper', [
				'basePath' => ES_COMPONENT . '/layouts',
			]);
			$renderer->setPaths([
				JPATH_THEMES . '/' . $renderer->getSiteTemplate() . '/html/com_easyshop/layouts',
				JPATH_PLUGINS . '/' . $this->_type . '/' . $this->_name . '/layouts',
				ES_COMPONENT_ADMINISTRATOR . '/layouts',
			]);
		}

		return $renderer;
	}

	protected function getConfig($mergeParams = true)
	{
		$config = clone easyshop('config');

		if ($mergeParams)
		{
			foreach ($this->params->toArray() as $name => $value)
			{
				if ($config->exists($name) && trim($value) !== '')
				{
					$config->set($name, $value);
				}
			}
		}

		return $config;
	}
}
