<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;

class EasyshopController extends JControllerLegacy
{
	public function display($cachable = false, $urlparams = false)
	{
		$cachable = true;
		$user     = JFactory::getUser();
		$task     = $this->input->get('task');
		$view     = $this->input->get('view');
		$id       = $this->input->getInt('id');

		if ($user->get('id')
			|| $this->input->getMethod() === 'POST'
			|| (!empty($task) && $task != 'display')
			|| in_array($view, ['cart', 'customer'])
		)
		{
			$cachable = false;
		}

		$safeUrlParams = [
			'category_id'      => 'INT',
			'id'               => 'INT',
			'cid'              => 'ARRAY',
			'limit'            => 'UINT',
			'limitstart'       => 'UINT',
			'showall'          => 'INT',
			'return'           => 'BASE64',
			'filter'           => 'STRING',
			'filter_order'     => 'CMD',
			'filter_order_Dir' => 'CMD',
			'filter-search'    => 'STRING',
			'print'            => 'BOOLEAN',
			'lang'             => 'CMD',
			'Itemid'           => 'INT',
		];

		if ($view == 'productdetail')
		{
			JTable::addIncludePath(ES_COMPONENT_ADMINISTRATOR . '/tables');
			$productTable = JTable::getInstance('Product', 'EasyshopTable');

			if ($id && $productTable->load($id))
			{
				$productTable->hit($id);
			}
		}

		parent::display($cachable, $safeUrlParams);

		return $this;
	}

	public function filters()
	{
		$app = JFactory::getApplication('site');
		$key = $this->input->getString('filterKey');

		if (in_array($key, ['list', 'search']))
		{
			$filters = $this->input->get('filters', [], 'array');
			$app->setUserState('com_easyshop.product_filter_' . $key, $filters);
		}

		$app->redirect($this->input->getString('return'));
	}
}
