<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;

use ES\Controller\ControllerLegacy;
use ES\Plugin\Payment;

class EasyshopControllerPayment extends ControllerLegacy
{
	public function callBack()
	{
		try
		{
			/**
			 * @var \ES\Order  $order
			 * @var \ES\Method $method
			 * @var \ES\Log    $log
			 */
			$token = trim($this->app->input->getString('token', ''));
			$log   = easyshop('class.log');

			if (strlen($token) === 40)
			{
				$db    = easyshop('db');
				$query = $db->getQuery(true)
					->select('a.id')
					->from($db->qn('#__easyshop_orders', 'a'))
					->where('a.token = ' . $db->q($token));
				$db->setQuery($query);

				if ($orderId = $db->loadResult())
				{
					$order = easyshop('class.order');

					if ($order->load($orderId))
					{
						$method    = easyshop('class.method');
						$paymentId = $order->get('payment_id');

						if ($paymentId && ($payment = $method->get($paymentId)))
						{
							JPluginHelper::importPlugin('easyshoppayment', $payment->element);
							$handler = Payment::getHandler($payment->element);

							if ($handler instanceof Payment)
							{
								if ($handler->loadOrder($order))
								{
									$log->addEntry('com_easyshop.payment', 'COM_EASYSHOP_PAYMENT_ELEMENT_PROCESS_CALLBACK', [ucfirst($payment->name), $order->get('order_code'), $order->get('id')]);
									$handler->callBack();
								}
								else
								{
									$message = JText::sprintf('COM_EASYSHOP_PAYMENT_CALLBACK_ERR_LOAD_ORDER_FORMAT', $token);
									$log->addEntry('com_easyshop.payment', 'COM_EASYSHOP_PAYMENT_CALLBACK_FAIL', [$message]);
								}
							}
						}
					}
				}

			}
		}
		catch (Exception $e)
		{
			$log->addEntry('com_easyshop.payment', 'COM_EASYSHOP_PAYMENT_CALLBACK_FAIL', [$e->getMessage()]);
		}

		$this->redirectBackPage();
	}
}
