<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;

class EasyshopProductCategories extends JCategories
{
	public function __construct($options = [])
	{
		if (empty($options['table']))
		{
			$options['table'] = '#__easyshop_products';
		}

		if (empty($options['extension']))
		{
			$options['extension'] = 'com_easyshop.product';
		}

		parent::__construct($options);
	}

	public function get($id = 'root', $forceLoad = false)
	{
		if ($category = parent::get($id, $forceLoad))
		{
			if (function_exists('easyshop'))
			{
				easyshop('prepare.category', $category);
			}
		}

		return $category;
	}
}

class EasyshopBrandCategories extends JCategories
{
	public function __construct($options = [])
	{
		if (empty($options['table']))
		{
			$options['table'] = '#__easyshop_products';
		}

		if (empty($options['extension']))
		{
			$options['extension'] = 'com_easyshop.brand';
		}

		parent::__construct($options);
	}

	public function get($id = 'root', $forceLoad = false)
	{
		if ($brand = parent::get($id, $forceLoad))
		{
			if (function_exists('easyshop'))
			{
				easyshop('prepare.category', $brand);
			}
		}

		return $brand;
	}
}

class EasyshopCategories extends EasyshopProductCategories
{

}
