<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
extract($displayData);
$checkoutData  = easyshop('class.cart')->getCheckoutData();
$userId        = JFactory::getUser()->id;
$disabledClass = [
	'login'    => $userId ? ' uk-disabled' : '',
	'checkout' => $userId < 1 && empty($checkoutData['guest']['email']) ? ' uk-disabled' : '',
	'confirm'  => empty($checkoutData['billing_address']) || empty($checkoutData['shipping_address']) ? ' uk-disabled' : '',
];

?>
<div id="product-checkout-navigation">
    <ul>
        <li class="<?php echo $layout == 'default' ? 'active' : ''; ?>">
            <a href="<?php echo JRoute::_(EasyshopHelperRoute::getCartRoute('default'), false); ?>">
				<?php echo JText::_('COM_EASYSHOP_CART'); ?>
                <span uk-icon="chevron-right"></span>
            </a>
        </li>
        <li class="<?php echo ($layout == 'login' ? 'active' : '') . $disabledClass['login']; ?>">
            <a href="<?php echo JRoute::_(EasyshopHelperRoute::getCartRoute('login'), false); ?>">
				<?php echo JText::_('COM_EASYSHOP_LOGIN'); ?>
                <span uk-icon="chevron-right"></span>
            </a>
        </li>
        <li class="<?php echo ($layout == 'checkout' ? 'active' : '') . $disabledClass['checkout']; ?>">
            <a href="<?php echo JRoute::_(EasyshopHelperRoute::getCartRoute('checkout'), false); ?>">
				<?php echo JText::_('COM_EASYSHOP_ADDRESS'); ?>
                <span uk-icon="chevron-right"></span>
            </a>
        </li>
        <li class="<?php echo ($layout == 'confirm' ? 'active' : '') . $disabledClass['confirm']; ?>">
            <a href="<?php echo JRoute::_(EasyshopHelperRoute::getCartRoute('confirm'), false); ?>">
				<?php echo JText::_('COM_EASYSHOP_CONFIRM'); ?>
            </a>
        </li>
    </ul>
</div>
