<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;

use ES\Utility;

foreach ($displayData['fields'] as $field)
{
	$name = $field->getAttribute('name');
	$type = $field->getAttribute('type');
	$field->__set('labelclass', trim('uk-form-label es-form-label ' . $field->__get('labelclass')));

	if (!$field->hint)
	{
		$field->hint = $field->getAttribute('label');
	}

	$hiddenLabel               = $field->getAttribute('hiddenLabel');
	$displayClass              = trim($field->getAttribute('displayClass', ''));
	$fieldDisplayData          = [
		'field'        => $field,
		'type'         => strtolower($field->type),
		'displayClass' => $displayClass,
		'hiddenLabel'  => !empty($hiddenLabel) && ($hiddenLabel === 'true' || $hiddenLabel === '1'),
	];
	$fieldDisplayData['label'] = $fieldDisplayData['hiddenLabel'] ? '' : $field->label;

	if (empty($displayData['renderValue']))
	{
		$fieldDisplayData['input'] = $field->input;
	}
	else
	{
		if (strcasecmp($type, 'UI_DateTimePicker') === 0)
		{
			/** @var \ES\Utility $utility */
			$utility                   = easyshop('class.utility');
			$fieldDisplayData['input'] = $utility->displayDate($field->value);
		}
		else
		{
			$fieldDisplayData['input'] = $field->value;
		}
	}

	echo $displayData['renderer']->render('form.field', $fieldDisplayData);
}
