<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
extract($displayData);

/** @var \Joomla\CMS\Categories\CategoryNode $category */
$category = $product->category;
$catPath  = null;

if ($category->level > 1)
{
	$catPath = $category->title;

	while ($category->hasParent()
		&& ($category = $category->getParent())
		&& $category->title != 'ROOT'
	)
	{
		$catPath = $category->title . ' / ' . $catPath;
	}
}

?>
<div class="product-meta">
    <ul class="uk-list">
		<?php if ($config->get('product_' . $view . '_sku', 1) && !empty($product->sku)): ?>
            <li>
                <span itemprop="sku">
                    <?php echo JText::sprintf('COM_EASYSHOP_PRODUCT_SKU_FORMAT', $product->sku); ?>
                </span>
            </li>
		<?php endif; ?>
		<?php if ((int) $config->get('product_' . $view . '_category', 1) > 0): ?>
            <li>
				<?php if ($config->get('product_' . $view . '_category') == 1): ?>
                    <a href="<?php echo $product->category->link; ?>" class="uk-link-reset">
						<?php echo JText::sprintf('COM_EASYSHOP_PRODUCT_CATEGORY_FORMAT', $product->category->title); ?>
                    </a>
				<?php else: ?>
                    <span><?php echo JText::sprintf('COM_EASYSHOP_PRODUCT_CATEGORY_FORMAT', $product->category->title); ?></span>
				<?php endif; ?>

				<?php if ($catPath): ?>
                    <span title="<?php echo htmlspecialchars($catPath, ENT_COMPAT, 'UTF-8'); ?>"
                          uk-icon="icon: info" uk-tooltip></span>
				<?php endif; ?>
            </li>
		<?php endif; ?>
		<?php if ((int) $config->get('product_' . $view . '_brand', 1) > 0 && !empty($product->brand)): ?>
			<?php if ((int) $config->get('product_' . $view . '_brand', 1) > 0): ?>
                <li>
					<?php if ($config->get('product_' . $view . '_brand') == 1): ?>
                        <a href="<?php echo $product->brand->link; ?>" class="uk-link-reset">
							<?php echo JText::sprintf('COM_EASYSHOP_PRODUCT_BRAND_FORMAT', $product->brand->title); ?>
                        </a>
					<?php else: ?>
                        <span><?php echo JText::sprintf('COM_EASYSHOP_PRODUCT_BRAND_FORMAT', $product->brand->title); ?></span>
					<?php endif; ?>
                </li>
			<?php endif; ?>
		<?php endif; ?>
    </ul>
</div>
