<?php
/**
 * @package     com_easyshop
 * @version     1.2.3
 * @Author      JoomTech Team
 * @copyright   Copyright (C) 2015 - 2019 www.joomtech.net All Rights Reserved.
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die;
/**
 * @var $form     JForm
 * @var $cart     \ES\Cart
 * @var $currency \ES\Currency
 * @var $renderer \ES\LayoutHelper
 */

$form     = $this->checkoutForm;
$cart     = $this->cart;
$currency = $this->currency;
$data     = $cart->getCheckoutData();
$renderer = $this->getRenderer();
$utility  = easyshop('class.utility');
?>
<div id="es-checkout-form" class="uk-margin es-checkout-wrap">
    <div class="uk-grid uk-grid-small" uk-grid>
        <div class="uk-width-1-2@s uk-width-3-5@m uk-form-stack">
            <div class="uk-tile uk-tile-small uk-tile-default">
				<?php if ($this->config->get('show_steps_bar', 1)): ?>
                    <div class="uk-margin">
						<?php echo $renderer->render('checkout.bar', ['layout' => $this->getLayout()]); ?>
                    </div>
				<?php endif; ?>
                <div class="es-billing-address">
                    <h3 class="es-panel-title uk-heading-bullet">
						<?php echo JText::_('COM_EASYSHOP_BILLING_ADDRESS'); ?>
                    </h3>
                    <div data-zone-group>
						<?php echo $renderer->render('form.fields', [
							'fields' => $form->getGroup('billing_address'),
						]); ?>
                    </div>
                </div>
				<?php if ($this->config->get('disable_shipping_address', 0)): ?>
                    <input type="checkbox" name="jform[address_different]" value="0" checked="checked"
                           class="uk-hidden"/>
				<?php else: ?>
                    <label class="uk-margin">
                        <input type="checkbox" name="jform[address_different]"
							<?php echo !empty($data['address_different']) ? ' checked="checked"' : '' ?>
                               class="uk-checkbox"
                               value="1"/>
						<?php echo JText::_('COM_EASYSHOP_SHIPPING_DIFFERENT_FROM_BILLING'); ?>
                    </label>
                    <div class="es-shipping-address"<?php echo empty($data['address_different']) ? ' style="display:none"' : '' ?>>
                        <h3 class="es-panel-title uk-heading-bullet uk-margin-top">
							<?php echo JText::_('COM_EASYSHOP_SHIPPING_ADDRESS'); ?>
                        </h3>
                        <div data-zone-group>
							<?php echo $renderer->render('form.fields', [
								'fields' => $form->getGroup('shipping_address'),
							]); ?>
                        </div>
                    </div>
				<?php endif; ?>
            </div>
            <div id="es-sticky-bottom"></div>
        </div>
        <div class="uk-width-1-2@s uk-width-2-5@m">
            <div uk-sticky="media: 960; bottom: #es-sticky-bottom">

				<?php
				$summaryDisplayData = [
					'note' => $renderer->render('form.fields', [
						'fields' => [
							$form->getField('note'),
						],
					]),
				];

				if ($checkoutFields = $form->getGroup('checkoutFields'))
				{
					$summaryDisplayData['checkoutFieldsDisplay'] = $renderer->render('form.fields', [
						'fields'      => $checkoutFields,
						'renderValue' => false,
					]);
				}


				echo $renderer->render('checkout.summary', $summaryDisplayData);
				?>

				<?php echo $renderer->render('checkout.button', $data); ?>
            </div>
        </div>
    </div>
</div>
